com.tibbo.aggregate.common.plugin.auth

## Class BaseAuthenticationResult

- java.lang.Object
- - com.tibbo.aggregate.common.plugin.auth.BaseAuthenticationResult

- All Implemented Interfaces:
    AuthenticationResult

      public class BaseAuthenticationResult
      extends java.lang.Object
      implements AuthenticationResult

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseAuthenticationResult(com.tibbo.aggregate.common.plugin.auth.BaseAuthenticationResult.AuthenticationState state, java.util.Map<AuthenticationParams,java.lang.Object> body, java.util.Map<java.lang.String,java.lang.String> environment)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEnvironmentAttribute(java.lang.String key)`
    `java.lang.String` | `getLogin()`
    `java.lang.Object` | `getParam(AuthenticationParams key)`
    `java.lang.String` | `getUsername()`
    `boolean` | `isSuccessfull()`
    `static BaseAuthenticationResult` | `ofFailed()`
    `static BaseAuthenticationResult` | `ofSuccessful()`
    `static BaseAuthenticationResult` | `ofSuccessful(com.google.common.collect.ImmutableMap<AuthenticationParams,java.lang.Object> body, com.google.common.collect.ImmutableMap<java.lang.String,java.lang.String> environment)`
    `static BaseAuthenticationResult` | `ofSuccessful(java.lang.String username, java.lang.String login)`
    `static BaseAuthenticationResult` | `ofSuccessful(java.lang.String username, java.lang.String login, java.lang.String accessToken)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseAuthenticationResult

          public BaseAuthenticationResult(com.tibbo.aggregate.common.plugin.auth.BaseAuthenticationResult.AuthenticationState state,
                                          java.util.Map<AuthenticationParams,java.lang.Object> body,
                                          java.util.Map<java.lang.String,java.lang.String> environment)

  - ### Method Detail

    - #### ofSuccessful

          public static BaseAuthenticationResult ofSuccessful()

    - #### ofSuccessful

          public static BaseAuthenticationResult ofSuccessful(java.lang.String username,
                                                              java.lang.String login)

    - #### ofSuccessful

          public static BaseAuthenticationResult ofSuccessful(java.lang.String username,
                                                              java.lang.String login,
                                                              java.lang.String accessToken)

    - #### ofSuccessful

          public static BaseAuthenticationResult ofSuccessful(com.google.common.collect.ImmutableMap<AuthenticationParams,java.lang.Object> body,
                                                              com.google.common.collect.ImmutableMap<java.lang.String,java.lang.String> environment)

    - #### ofFailed

          public static BaseAuthenticationResult ofFailed()

    - #### getEnvironmentAttribute

          public java.lang.String getEnvironmentAttribute(java.lang.String key)

    - #### isSuccessfull

          public boolean isSuccessfull()

      Specified by:
        `isSuccessfull` in interface `AuthenticationResult`

    - #### getUsername

          public java.lang.String getUsername()

      Specified by:
        `getUsername` in interface `AuthenticationResult`

    - #### getLogin

          public java.lang.String getLogin()

      Specified by:
        `getLogin` in interface `AuthenticationResult`

    - #### getParam

          public java.lang.Object getParam(AuthenticationParams key)

      Specified by:
        `getParam` in interface `AuthenticationResult`